Update text source
curl --request PATCH \
--url https://api.getfernand.com/organization/rag/sources/texts/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"text": "This is updated information about our product features..."
}
'import requests
url = "https://api.getfernand.com/organization/rag/sources/texts/{uuid}"
payload = { "text": "This is updated information about our product features..." }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'This is updated information about our product features...'})
};
fetch('https://api.getfernand.com/organization/rag/sources/texts/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/organization/rag/sources/texts/{uuid}"
payload := strings.NewReader("{\n \"text\": \"This is updated information about our product features...\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/organization/rag/sources/texts/{uuid}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddJsonBody("{\n \"text\": \"This is updated information about our product features...\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.patch("https://api.getfernand.com/organization/rag/sources/texts/{uuid}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"This is updated information about our product features...\"\n}")
.asString();{}{
"error": "You can only update Text sources"
}Update text source
PATCH
/
organization
/
rag
/
sources
/
texts
/
{uuid}
Update text source
Updates an existing text source identified by its UUID. Only sources of type “Text” can be updated through this endpoint.
Authorizations
Path Parameters
UUID of the text source to update.
Body
application/json
Updated text content.
Maximum string length:
50000Example:
"This is updated information about our product features..."
Response
Text source queued for update.
The response is of type object.
Was this page helpful?
⌘I